package com.op.wms.mapper;

import java.util.List;

import com.op.wms.domain.BaseEquipment;

/**
 * 设备管理Mapper接口
 * 
 * @author Open Platform
 * @date 2023-07-20
 */
public interface BaseEquipmentMapper {
	/**
	 * 查询设备管理
	 * 
	 * @param equipmentId 设备管理主键
	 * @return 设备管理
	 */
	public BaseEquipment selectBaseEquipmentByEquipmentId(Long equipmentId);

	/**
	 * 查询设备管理列表
	 * 
	 * @param baseEquipment 设备管理
	 * @return 设备管理集合
	 */
	public List<BaseEquipment> selectBaseEquipmentList(BaseEquipment baseEquipment);

	/**
	 * 新增设备管理
	 * 
	 * @param baseEquipment 设备管理
	 * @return 结果
	 */
	public int insertBaseEquipment(BaseEquipment baseEquipment);

	/**
	 * 修改设备管理
	 * 
	 * @param baseEquipment 设备管理
	 * @return 结果
	 */
	public int updateBaseEquipment(BaseEquipment baseEquipment);

	/**
	 * 删除设备管理
	 * 
	 * @param equipmentId 设备管理主键
	 * @return 结果
	 */
	public int deleteBaseEquipmentByEquipmentId(Long equipmentId);

	/**
	 * 批量删除设备管理
	 * 
	 * @param equipmentIds 需要删除的数据主键集合
	 * @return 结果
	 */
	public int deleteBaseEquipmentByEquipmentIds(Long[] equipmentIds);
}
